Il y a actuellement 36 visiteurs
Samedi 25 Mai 2019
accueilactualitésdossierscomparer les prixtélécharger gratuitement vos logicielsoffres d'emploiforum informatique
Connexion
Créer un compte

Installation vlc

L'informatique, ce n'est pas qu'un PC équipé de Windows. Ce forum est dédié aux utilisateurs de systèmes d'exploitation dérivés d'unix (GNU/Linux, *BSD, etc...) et aux autres OS alternatifs.

Installation vlc

Message le 22 Mar 2006 23:34

j'ai essayé d'installé vlc sur mon pc , j'ai tapé la commande :

./configure --prefix=/usr --enable-wxwindows

et il m'a mis :

checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

je crois qu'il m'indique une erreur .du coup , je sais plus quoi faire . merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 862
Inscription: 17 Sep 2003 20:05
 


Message le 22 Mar 2006 23:42

Salut,

Installe gcc avant de faire tes manipulations...
Walk of shame, walk of game... what uuuup !
Avatar de l'utilisateur
coyote89
PC-Infopraticien
PC-Infopraticien
 
Messages: 7862
Inscription: 07 Mai 2003 18:39
Localisation: Chine :)
 

Message le 23 Mar 2006 00:13

je suis sous fedora core 4 , comment on fait pour installer gcc ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 862
Inscription: 17 Sep 2003 20:05
 

Message le 23 Mar 2006 22:15

Bonjour,

Quelque chose comme :
Code: Tout sélectionner
yum install libgcc+
?
Il faudrait tout simplement que tu te trouves un petit forum spécial paquetages Fedora Core. Mais normalement GCC 4.0 est intégré à FC4 ...
Le savoir m'a appris que je ne savais rien
Le MIEUX est l'ennemi du BIEN.
Avatar de l'utilisateur
blankoworld
PC-Infopraticien
PC-Infopraticien
 
Messages: 5993
Inscription: 21 Juin 2004 10:41
Localisation: Pala
 

Message le 28 Mar 2006 20:10

j'ai fait ce que tu m'as dit et voila ce qu'il m'a mis :

[root@localhost ~]# yum install libgcc+
Setting up Install Process
Setting up repositories
updates-released 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
base 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: libgcc+
Nothing to do

je fais quoi après ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 862
Inscription: 17 Sep 2003 20:05
 

Message le 29 Mar 2006 20:44

Je n'ai aucune notion de Fedora Core :-?
Par contre tu peux tenter de mettre ceci :
Code: Tout sélectionner
yum install yumex
ou bien
Code: Tout sélectionner
yum install kyum
qui te permettent d'installer un YUM graphique, peut être cela aide un peu, surtout pour trouver les bons paquetages.
Je pense qu'au niveau de tes paquetages il doit te manquer des dépôts. C'est pour cela qu'il ne trouve rien ou bien qu'il ne répond pas aux demandes.
Pour aider un peu voici le lien vers une communauté française Fedora, je ne sais pas ce qu'ils valent, mais je sais une chose : sur Linux il existe d'énormes quantités de communautés toujours prêtes à aider. Si tu ne trouves pas d'aide chez eux, c'est que tu ne trouvera d'aide nul part.
Le lien
Le savoir m'a appris que je ne savais rien
Le MIEUX est l'ennemi du BIEN.
Avatar de l'utilisateur
blankoworld
PC-Infopraticien
PC-Infopraticien
 
Messages: 5993
Inscription: 21 Juin 2004 10:41
Localisation: Pala
 

Message le 30 Mar 2006 16:17

j'ai lancé la commande :

rpm -ivh videolan-client-0.8.4-3.2.fc4.i386.rpm

et voici ce qu'il a sortie :

attention: videolan-client-0.8.4-3.2.fc4.i386.rpm: Entête signature V3 DSA: NOKEY, key ID e42d547b
erreur: Dépendances requises:
libSDL_image-1.2.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
liba52.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libaa.so.1 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libcdio.so.6 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libcdio.so.6(CDIO_6) est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libdvbpsi.so.4 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libdvdnav.so.4 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libdvdread.so.3 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libebml.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libfaac.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libfaad.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libfribidi.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libid3tag.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libiso9660.so.4 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
liblirc_client.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libmad.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libmatroska.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libmodplug.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libmp3lame.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libmpeg2.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libopendaap.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libvcdinfo.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_baseu-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_baseu-2.6.so.0(WXU_2.6) est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_baseu_net-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_baseu_xml-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_gtk2u_adv-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_gtk2u_adv-2.6.so.0(WXU_2.6) est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_gtk2u_core-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_gtk2u_core-2.6.so.0(WXU_2.6) est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386 libwx_gtk2u_core-2.6.so.0(WXU_2.6.2) est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_gtk2u_html-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_gtk2u_qa-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libwx_gtk2u_xrc-2.6.so.0 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386
libxosd.so.2 est nécessaire pour videolan-client-0.8.4-3.2.fc4.i386

je crois qu'il manque des fichiers , comment puis-je les installer ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 862
Inscription: 17 Sep 2003 20:05
 

Message le 30 Mar 2006 16:21

Salut,

Comme précisé sur l'explication officielle, il faut installer certaines libraires avant de pouvoir installer correctement VLC.
Lit bien, tout y est ;)
Walk of shame, walk of game... what uuuup !
Avatar de l'utilisateur
coyote89
PC-Infopraticien
PC-Infopraticien
 
Messages: 7862
Inscription: 07 Mai 2003 18:39
Localisation: Chine :)
 

Message le 30 Mar 2006 16:59

oui j'avais compris cela , mais je voudrais savoir ou je peux trouver ces librairies .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 862
Inscription: 17 Sep 2003 20:05
 

Message le 31 Mar 2006 13:51

lherbaux a écrit:oui j'avais compris cela , mais je voudrais savoir ou je peux trouver ces librairies .

Justement en lançant l'installation de yumex ou kyum, tu auras sous les yeux l'ensemble des paquetages disponibles, et en un simple clic tu pourras tout installer.
Je crois d'ailleurs t'avoir renvoyé vers un forum spécial Fedora Core, ils sont plus à même de répondre à tes questions ... et de plus ils adorent ça ! :wink:
Le savoir m'a appris que je ne savais rien
Le MIEUX est l'ennemi du BIEN.
Avatar de l'utilisateur
blankoworld
PC-Infopraticien
PC-Infopraticien
 
Messages: 5993
Inscription: 21 Juin 2004 10:41
Localisation: Pala
 

Message le 06 Avr 2006 17:20

Bonjour,

je rencontre le même problème pour installer vlc sous mandriva 2006 ("libwx_baseu_xml-2.6.so.0 n'est pas satisfait"), mais (petite nuance) le pc sur lequel mandriva 2006 est installé n'est pas relié à Internet. Comment faire ?

Merci d'avance.
kanarticho
Visiteur
Visiteur
 
Messages: 2
Inscription: 06 Avr 2006 17:17
 

Message le 06 Avr 2006 18:03

Bonjour,

A partir de quel support as-tu installé la mandriva ? Es-tu sûr que sur ce support-là il n'y a pas la librairie qui te manque ? (sous-entendu dans la bonne version...)
As-tu tenté d'installer vlc à partir d'un rpm, ou autre ?
Et enfin une dernière pour la route : pas de connexion internet possible pour ce PC ? Sinon il te reste la possibilité de télécharger la librairie depuis une autre machine, puis de la transférer sur le PC mandriva. J'ai vu sur google qu'il y a plein d'endroit où trouver un rpm contenant cette librairie (un peu speed, pas le temps de te donner les liens directement !) :wink:

à+
Heureux les fêlés, car ils laissent passer la lumière
lucilette
Apprenti(e) Expert(e)
Apprenti(e) Expert(e)
 
Messages: 273
Inscription: 07 Aoû 2003 17:16
 

Message le 06 Avr 2006 18:25

Merci de me répondre.

Je précise que je suis un newbie en linux.

J'ai installé Mandriva à partir des 3 CDs que j'ai téléchargé sur le site officiel.

Es-tu sûr que sur ce support-là il n'y a pas la librairie qui te manque ?


Non, mais je ne suis pas sûr du nom du rpm dans lequel elle peut être contenue. J'ai installé libwxgtk2 à partir du cd2 (nom que j'ai trouvé via une recherche sur le net), sans changement.

J'ai effectivement essayé d'installer vlc à partir d'un fichier rpm.

Et non, pas de connexion Internet possible malheureusement (j'ai l'impression que c'est un gros handicap quand on choisit Linux...).

EDIT : ça y est, j'ai trouvé, c'est libwxgtku2.6-2.6.1-1mdk.i586.rpm (source pour ceux que ça interesserait : http://rpm.pbone.net). A partir de là, c'est libdvbpsi.so.4 qui manque, je suppose que je dois continuer à installer les rpm les uns à la suite des autres jusqu'à épuisement !
kanarticho
Visiteur
Visiteur
 
Messages: 2
Inscription: 06 Avr 2006 17:17
 

Message le 07 Avr 2006 09:45

Bonjour,

Ce n'est pas forcément un handicap de ne pas avoir le net sur un pc sous linux, cela dit, pour certaines install c'est bien pratique... (je me suis récemment battue avec un driver, et sans le net je n'aurais pas gagné...!) :wink: :lol:

Bonne continuation à toi !
Heureux les fêlés, car ils laissent passer la lumière
lucilette
Apprenti(e) Expert(e)
Apprenti(e) Expert(e)
 
Messages: 273
Inscription: 07 Aoû 2003 17:16
 



Sujets similaires

Message Problème avec installation et désinstallation
Bonjourdepuis quelques jours toutes mes tentatives d'installer ou désinstaller des logiciels sur mon PC échouent: un message d'erreur annonce:"un autre installation est en cours d'exécution.Terminez celle-ci avant d'effectuer cette installation"Le gestionnaire des tâches ne montre aucune a ...
Réponses: 13

Message Installation en dual boat Windows 7 pro et Zorin OS
Bonsoir,J'ai fait une sauvegarde de mes données.1. Comment faire pour formater mon disque dur pour effacer proprement toutes les données ?[/list] 2. Comment installer en dual boot Windows 7 pro et une version Linux avec un environnement Windows Zorin OS 12.4 Core 32 bits téléchargé à partir du site ...
Réponses: 5

Message installation en echec continu
Bonjour, depuis hier jai un ordi sur lequel je veux reinstaller w10.. cest la 5 eme fois que j essaye meme apres avoir recrée une clé bootable avec rufus.. l installaltion se passe pien a 100% sauf qu au dernier moment jai un message d erreur ... vraiment je ne trouve pas la solution.... ce serait t ...
Réponses: 3

Message Problème installation windows 10
Bonjour, j'essaye d'installer windows, mais au moment de choisir un disque sur lequel l'installer, aucun ne fonctionne et il me demande de formater mes disque NTFS en FAT32. Étant donné que je n'ai pas Windows, comment faire ça soit à partir du bios ou d'un invite de commande ? Merci en avance de vo ...
Réponses: 3

Message Soucis d'installation d'un logiciel pour l'imprimante
Bonjour à vous tous, cela fait depuis environ 2 ans que je n'étais plus revenu sur ce site. Déjà, je vois que le forum n'a pas changé et il est toujours tant actif que les années précédentes. Aujourd'hui, j'ai un problème, en effet, je souhaite télécharger un logiciel HP qui va me permettre de scann ...
Réponses: 13

Message probleme d'installation d'imprimante en wifi
bsr j'ai enfin recu mon nouveau portable asusje viens d'installer mon imprimante epson xp 235 sur pc portable en wifi mais quand je lance une impression j'ai comme message d'erreur "quelque chose ne va pas au spouleur d'impression"comment faire svp merci d'avance
Réponses: 9

Message [Réglé] Installation d'un cd vers une clé usb
Bonjour ,j'ai acheté chez un assembleur un pc sans lecteur dvd . Avec les dd externes et les clés usb de plus en plus abordables et rapides je me suis dis que c'est la fin des lecteurs dvd avec les pc . Mais je viens d'acquérir une imprimante laser et un dvd a été fourni pour l'installation des logi ...
Réponses: 4


Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité


.: Nous contacter :: Flux RSS :: Données personnelles :.